package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 商品标签对象 mall_goods_tag
 *
 * @author ruoyi
 * @date 2022-06-28
 */
public class MallGoodsTag extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 标签id */
    @Excel(name = "标签id")
    private Integer id;

    /** 标签名称 */
    @Excel(name = "标签名称")
    private String tagName;

    /** 标签图标 */
    @Excel(name = "标签图标")
    private String tagImg;

    /** 标签状态（0-显示，1-隐藏） */
    @Excel(name = "标签状态", readConverterExp = "0=-显示，1-隐藏")
    private Integer tagStatus;

    /** 排序 */
    @Excel(name = "排序")
    private Integer tagSort;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记（0-正常，1-删除） */
    @Excel(name = "删除标记", readConverterExp = "0=-正常，1-删除")
    private Integer delFlag;

    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId()
    {
        return id;
    }
    public void setTagName(String tagName)
    {
        this.tagName = tagName;
    }

    public String getTagName()
    {
        return tagName;
    }
    public void setTagImg(String tagImg)
    {
        this.tagImg = tagImg;
    }

    public String getTagImg()
    {
        return tagImg;
    }
    public void setTagStatus(Integer tagStatus)
    {
        this.tagStatus = tagStatus;
    }

    public Integer getTagStatus()
    {
        return tagStatus;
    }
    public void setTagSort(Integer tagSort)
    {
        this.tagSort = tagSort;
    }

    public Integer getTagSort()
    {
        return tagSort;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("tagName", getTagName())
            .append("tagImg", getTagImg())
            .append("tagStatus", getTagStatus())
            .append("tagSort", getTagSort())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
